Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.parameters
Interface GalaxyConvertible

All Known Implementing Classes:
  AbsoluteValueCondition.AbsoluteValueConditionParameterSet, AbstractBurnInTestParameterSet, AbstractTerminationCondition.AbstractTerminationConditionParameterSet, Alphabet.AlphabetParameterSet, AlphabetContainerParameterSet, AlphabetContainerParameterSet.AlphabetArrayParameterSet, AlphabetContainerParameterSet.SectionDefinedAlphabetParameterSet, ArrayParameterSet, BaumWelchParameterSet, BayesianNetworkModelParameterSet, BayesianNetworkScoringFunctionParameterSet, BTExplainingAwayResidual.BTExplainingAwayResidualParameterSet, BTMutualInformation.BTMutualInformationParameterSet, ClassifierAssessmentAssessParameterSet, CollectionParameter, CombinedCondition.CombinedConditionParameterSet, ContinuousAlphabet.ContinuousAlphabetParameterSet, DGMParameterSet, DiscreteAlphabet.DiscreteAlphabetParameterSet, DNAAlphabet.DNAAlphabetParameterSet, EnumParameter, ExpandableParameterSet, FileParameter, FSDAGModelForGibbsSamplingParameterSet, FSDAGMParameterSet, GenDisMixClassifierParameterSet, GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet, HMMTrainingParameterSet, HomMMParameterSet, HomogeneousModelParameterSet, IDGMParameterSet, InhomogeneousMarkov.InhomogeneousMarkovParameterSet, InstanceParameterSet, IterationCondition.IterationConditionParameterSet, KFoldCVAssessParameterSet, MaxHMMTrainingParameterSet, MeasureParameters, MultiSelectionCollectionParameter, NumberValidator, NumericalHMMTrainingParameterSet, ParameterSet, ParameterSetContainer, PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet, PMMMutualInformation.PMMMutualInformationParameterSet, RangeParameter, RepeatedHoldOutAssessParameterSet, RepeatedSubSamplingAssessParameterSet, Sampled_RepeatedHoldOutAssessParameterSet, SamplingGenDisMixClassifierParameterSet, SamplingHMMTrainingParameterSet, SamplingScoreBasedClassifierParameterSet, ScoreClassifierParameterSet, SequenceScoringParameterSet, SimpleParameter, SimpleParameterSet, SmallDifferenceOfFunctionEvaluationsCondition.SmallDifferenceOfFunctionEvaluationsConditionParameterSet, SmallGradientConditon.SmallGradientConditonParameterSet, SmallStepCondition.SmallStepConditionParameterSet, TimeCondition.TimeConditionParameterSet, VarianceRatioBurnInTestParameterSet, ViterbiParameterSet

    public interface GalaxyConvertible

Interface for `Parameter`s that can be converted to and extracted from Galaxy representations. The methods of this interface are used in the `GalaxyAdaptor` to create Galaxy representation, i.e., config-files, from `ParameterSet`s that contain the parameters for a specific application.

Author:
  Jan Grau

Method Summary
`void` | `fromGalaxy(String namePrefix, StringBuffer command)` Parses the contents of `command` in the format defined by `configBuffer` of `toGalaxy(String, String, int, StringBuffer, StringBuffer)` and sets the values of the `Parameter` or `ParameterSet` accordingly.
`void` | `toGalaxy(String namePrefix, String configPrefix, int depth, StringBuffer descBuffer, StringBuffer configBuffer)` Creates an Galaxy XML-representation of the parameters and appends it to `descBuffer` and variable configuration and appends it to `configBuffer`.

Method Detail

### toGalaxy

    void toGalaxy(String namePrefix,
                  String configPrefix,
                  int depth,
                  StringBuffer descBuffer,
                  StringBuffer configBuffer)
                  throws Exception

  Creates an Galaxy XML-representation of the parameters and appends it to `descBuffer` and variable configuration and appends it to `configBuffer`. The variable configuation is also used to parse user-supplied values returned by Galaxy.

  Parameters:
    `namePrefix` - the prefix of the variable name used in Galaxy
    `configPrefix` - the prefix for conditionals
    `depth` - the depth in the parameter hierarchy, used for graphical representation of nesting
    `descBuffer` - the buffer for the parameter description
    `configBuffer` - the buffer for the configuration line
  Throws:
    `Exception` - if the conversion fails

### fromGalaxy

    void fromGalaxy(String namePrefix,
                    StringBuffer command)
                    throws Exception

  Parses the contents of `command` in the format defined by `configBuffer` of `toGalaxy(String, String, int, StringBuffer, StringBuffer)` and sets the values of the `Parameter` or `ParameterSet` accordingly.

  Parameters:
    `namePrefix` - the prefix of the variable name
    `command` - the command string
  Throws:
    `Exception` - if the command string could not be parsed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD